Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockButton

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockButton

    public class BlockButton

extends Block

Field Summary

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_82507_n, field_82508_o, field_82509_m, field_82510_ck, field_82511_ci, field_82512_cj, field_82513_cg, field_82514_ch, field_82515_ce, field_82516_cf, field_82517_cc, field_82518_cd, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, maxX, maxY, maxZ, melon, melonStem, minX, minY, minZ, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Method Summary
`void` | `breakBlock(World par1World, int par2, int par3, int par4, int par5, int par6)` ejects contained items into the world, and notifies neighbours of an update, as appropriate
`boolean` | `canPlaceBlockAt(World par1World, int par2, int par3, int par4)` Checks to see if its valid to put this block at the specified coordinates.
`boolean` | `canPlaceBlockOnSide(World par1World, int par2, int par3, int par4, int par5)` checks to see if you can place this block can be placed on that side of a block: BlockLever overrides
`boolean` | `canProvidePower()` Can this block provide power.
`AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World par1World, int par2, int par3, int par4)` Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)
`boolean` | `isIndirectlyPoweringTo(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)` Is this block indirectly powering the block on the specified side
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`boolean` | `isPoweringTo(IBlockAccess par1IBlockAccess, int par2, int par3, int par4, int par5)` Is this block powering the block on the specified side
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockClicked(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)` Called when the block is clicked by a player.
`void` | `onEntityCollidedWithBlock(World par1World, int par2, int par3, int par4, Entity par5Entity)` Triggered whenever an entity collides with this block (enters into the block).
`void` | `onNeighborBlockChange(World par1World, int par2, int par3, int par4, int par5)` Lets the block know when one of its neighbor changes.
`boolean` | `renderAsNormalBlock()` If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)
`void` | `setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)` Updates the blocks bounds based on its current state.
`void` | `setBlockBoundsForItemRender()` Sets the block's bounds for rendering it as an item
`int` | `tickRate()` How many world ticks before ticking
`void` | `updateBlockMetadata(World par1World, int par2, int par3, int par4, int par5, float par6, float par7, float par8)` called before onBlockPlacedBy by ItemBlock and ItemReed
`void` | `updateTick(World par1World, int par2, int par3, int par4, Random par5Random)` Ticks the block if it's been scheduled

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceTorchOnTop, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getBlockTextureFromSideAndMetadata, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getRenderType, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, idDropped, idPicked, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isLadder, isLeaves, isNormalCube, isWood, onBlockAdded, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockName, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, translateBlockName, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCollisionBoundingBoxFromPool

    public AxisAlignedBB getCollisionBoundingBoxFromPool(World par1World,
                                                         int par2,
                                                         int par3,
                                                         int par4)

  Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)

  Overrides:
    `getCollisionBoundingBoxFromPool` in class `Block`

### tickRate

    public int tickRate()

  How many world ticks before ticking

  Overrides:
    `tickRate` in class `Block`

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `Block`

### renderAsNormalBlock

    public boolean renderAsNormalBlock()

  If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)

  Overrides:
    `renderAsNormalBlock` in class `Block`

### canPlaceBlockOnSide

    public boolean canPlaceBlockOnSide(World par1World,
                                       int par2,
                                       int par3,
                                       int par4,
                                       int par5)

  checks to see if you can place this block can be placed on that side of a block: BlockLever overrides

  Overrides:
    `canPlaceBlockOnSide` in class `Block`

### canPlaceBlockAt

    public boolean canPlaceBlockAt(World par1World,
                                   int par2,
                                   int par3,
                                   int par4)

  Checks to see if its valid to put this block at the specified coordinates. Args: world, x, y, z

  Overrides:
    `canPlaceBlockAt` in class `Block`

### updateBlockMetadata

    public void updateBlockMetadata(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5,
                                    float par6,
                                    float par7,
                                    float par8)

  called before onBlockPlacedBy by ItemBlock and ItemReed

  Overrides:
    `updateBlockMetadata` in class `Block`

### onNeighborBlockChange

    public void onNeighborBlockChange(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Lets the block know when one of its neighbor changes. Doesn't know which neighbor changed (coordinates passed are their own) Args: x, y, z, neighbor blockID

  Overrides:
    `onNeighborBlockChange` in class `Block`

### setBlockBoundsBasedOnState

    public void setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess,
                                           int par2,
                                           int par3,
                                           int par4)

  Updates the blocks bounds based on its current state. Args: world, x, y, z

  Overrides:
    `setBlockBoundsBasedOnState` in class `Block`

### onBlockClicked

    public void onBlockClicked(World par1World,
                               int par2,
                               int par3,
                               int par4,
                               EntityPlayer par5EntityPlayer)

  Called when the block is clicked by a player. Args: x, y, z, entityPlayer

  Overrides:
    `onBlockClicked` in class `Block`

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### breakBlock

    public void breakBlock(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  ejects contained items into the world, and notifies neighbours of an update, as appropriate

  Overrides:
    `breakBlock` in class `Block`

### isPoweringTo

    public boolean isPoweringTo(IBlockAccess par1IBlockAccess,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

  Is this block powering the block on the specified side

  Overrides:
    `isPoweringTo` in class `Block`

### isIndirectlyPoweringTo

    public boolean isIndirectlyPoweringTo(IBlockAccess par1IBlockAccess,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5)

  Is this block indirectly powering the block on the specified side

  Overrides:
    `isIndirectlyPoweringTo` in class `Block`

### canProvidePower

    public boolean canProvidePower()

  Can this block provide power. Only wire currently seems to have this change based on its state.

  Overrides:
    `canProvidePower` in class `Block`

### updateTick

    public void updateTick(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           Random par5Random)

  Ticks the block if it's been scheduled

  Overrides:
    `updateTick` in class `Block`

### setBlockBoundsForItemRender

    public void setBlockBoundsForItemRender()

  Sets the block's bounds for rendering it as an item

  Overrides:
    `setBlockBoundsForItemRender` in class `Block`

### onEntityCollidedWithBlock

    public void onEntityCollidedWithBlock(World par1World,
                                          int par2,
                                          int par3,
                                          int par4,
                                          Entity par5Entity)

  Triggered whenever an entity collides with this block (enters into the block). Args: world, x, y, z, entity

  Overrides:
    `onEntityCollidedWithBlock` in class `Block`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD